Summary: The GNU macro processor.
Name: m4
Version: 1.4
Release: 15tr
License: GPL
Group: Environment/Text
Source: ftp://ftp.gnu.org/pub/gnu/m4/m4-%{version}.tar.gz
Patch: m4-1.4-glibc.patch
Buildroot: /var/tmp/m4-root
Prereq: /sbin/install-info

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
./configure --prefix=$RPM_BUILD_ROOT/usr
make install
strip $RPM_BUILD_ROOT/usr/bin/m4
mkdir -p $RPM_BUILD_ROOT/usr/share/info
mv $RPM_BUILD_ROOT/usr/info/* $RPM_BUILD_ROOT/usr/share/info
gzip -9fn $RPM_BUILD_ROOT/usr/share/info/*

%files
%doc NEWS README
/usr/bin/m4
/usr/share/info/*

%post
/sbin/install-info /usr/share/info/m4.info.gz /usr/share/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/share/info/m4.info.gz /usr/share/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 17 2001 Erlend Midttun <erlendbm@trustix.com>
- Inc serial number before release.

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- Moved info files to /usr/share/info, FHS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

